# LWJGLException (LWJGL API)
Date: 2015-07-28

## org.lwjgl
Class LWJGLException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.lwjgl.LWJGLException

All Implemented Interfaces:
  java.io.Serializable

    public class LWJGLException

extends java.lang.Exception

This exception is supplied to make exception handling more generic for LWJGL specific exceptions

Version:
  $Revision$ $Id$
Author:
  Brian Matzon <brian@matzon.dk>
See Also:
  Serialized Form

Constructor Summary
`LWJGLException()` Plain c'tor
`LWJGLException(java.lang.String msg)` Creates a new LWJGLException
`LWJGLException(java.lang.String message, java.lang.Throwable cause)`
`LWJGLException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LWJGLException

    public LWJGLException()

  Plain c'tor

### LWJGLException

    public LWJGLException(java.lang.String msg)

  Creates a new LWJGLException

  Parameters:
    `msg` - String identifier for exception

### LWJGLException

    public LWJGLException(java.lang.String message,
                          java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

### LWJGLException

    public LWJGLException(java.lang.Throwable cause)

Parameters:
  `cause` -

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.